# minna-caos

> Content-Addressed Object Storage server intended for usage with Minna.


## Features

- resumable uploads (via [tus](https://tus.io/))

- automatic media type (“MIME type”) detection

- multiple storage backends:
    - local filesystem
    - S3-compatible
    - FTP
    - Google Drive
    - OneDrive

- direct download from the underlying storage backend (if supported)

- pre-signed download and upload URLs

- named storage buckets

- object operations:
  - upload
  - set target buckets
  - delete

- outgoing webhooks
